﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GalaSoft.MvvmLight;

namespace StoryBoardDemo.ViewModels
{
  public class BusinessObjectViewModel : ViewModelBase
  {
    private int id;
    public int Id
    {
      get { return id; }
      set
      {
        if (id != value)
        {
          id = value;
          RaisePropertyChanged(() => Id);
        }
      }
    }

    private string name;
    public string Name
    {
      get { return name; }
      set
      {
        if (name != value)
        {
          name = value;
          RaisePropertyChanged(() => Name);
        }
      }
    }

    private double price;
    public double Price
    {
      get { return price; }
      set
      {
        if (price != value)
        {
          price = value;
          RaisePropertyChanged(() => Price);
        }
      }
    }

  }
}
