﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GalaSoft.MvvmLight;

namespace StoryBoardDemo.ViewModels
{
  public class MainViewModel : ViewModelBase
  {
    public MainViewModel()
    {
      myObjects = new ObservableCollection<BusinessObjectViewModel>
                    {
                      new BusinessObjectViewModel {Id = 1, Name = "Name1", Price = 0.99},
                      new BusinessObjectViewModel {Id = 2, Name = "Name2", Price = 0.99},
                      new BusinessObjectViewModel {Id = 3, Name = "Name3", Price = 0.99},
                      new BusinessObjectViewModel {Id = 4, Name = "Name4", Price = 0.99},
                      new BusinessObjectViewModel {Id = 5, Name = "Name5", Price = 0.99},
                      new BusinessObjectViewModel {Id = 6, Name = "Name6", Price = 0.99},
                    };

    }
    private ObservableCollection<BusinessObjectViewModel> myObjects;
    public ObservableCollection<BusinessObjectViewModel> MyObjects
    {
      get { return myObjects; }
      set
      {
        if (myObjects != value)
        {
          myObjects = value;
          RaisePropertyChanged(() => MyObjects);
        }
      }
    }
  }
}
